Bug 602390 - revisor crashes when .discinfo is not found
Summary: revisor crashes when .discinfo is not found
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 18:42 UTC by Juan P. Daza P.
Modified: 2011-06-27 17:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 17:53:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
revisor trace (1.54 KB, text/plain)
2010-06-09 18:42 UTC, Juan P. Daza P.
no flags Details

Description Juan P. Daza P. 2010-06-09 18:42:58 UTC
Created attachment 422648 [details]
revisor trace

Description of problem:
When creating a custom i386 DVD iso with revisor the program crashes.

Version-Release number of selected component (if applicable):
Name       : revisor
Arch       : noarch
Version    : 2.2
Release    : 1.fc13


How reproducible:
Always

Steps to Reproduce:
1.Create a i386 DVD using revisor
2.Select some packages
3.Start the image creation
  
Actual results:
Program crashes

Expected results:
Program creates the iso file

Additional info:
Running F13.

Comment 1 Luc Lalonde 2010-07-08 20:00:12 UTC
I have this same problem... Unfortunately, Revisor in unuseable to respin Fedora 13 for us!

Comment 2 Juan P. Daza P. 2010-07-08 22:26:55 UTC
It's unfortunate there is no good tool to re-spin fedora and have to find other options.

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 David Mueller 2010-09-15 00:05:09 UTC
I am having the same problem with revisor-2.0.5.2-3.el5 from EPEL running on CentOS 5.5, attempting to build a custom Fedora 8 CD image:

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/revisor/ready_screen.py", line 183, in button_forward_clicked
    self.gui.displayBuildMedia()
  File "/usr/lib/python2.4/site-packages/revisor/gui.py", line 278, in displayBuildMedia
    self.BuildMedia.start()
  File "/usr/lib/python2.4/site-packages/revisor/build_media.py", line 65, in start
    self.base.lift_off()
  File "/usr/lib/python2.4/site-packages/revisor/base.py", line 978, in lift_off
    self.buildInstallationMedia()
  File "/usr/lib/python2.4/site-packages/revisor/base.py", line 1395, in buildInstallationMedia
    mypungi.ALL_workaround()
  File "/usr/lib/python2.4/site-packages/revisor/pungi.py", line 469, in ALL_workaround
    content = open(discinfofile, 'r').readlines()
IOError: [Errno 2] No such file or directory: '/var/tmp/revisor-pungi/8/f8-i386/i386/os/.discinfo'

Comment 4 Bug Zapper 2011-06-02 11:25:48 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 17:53:34 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.